> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar treinamentos do agente

> Lista todos os treinamentos de um agente com paginação e filtros



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /agents/{agentId}/trainings
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /agents/{agentId}/trainings:
    get:
      tags:
        - Agent Trainings
      summary: Listar treinamentos do agente
      description: Lista todos os treinamentos de um agente com paginação e filtros
      parameters:
        - schema:
            type: integer
            minimum: 1
            default: 1
          in: query
          name: page
          required: false
          description: Número da página.
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          in: query
          name: limit
          required: false
          description: Quantidade de itens por página.
        - schema:
            type: string
          in: query
          name: search
          required: false
          description: Busca por pergunta ou resposta.
        - schema:
            type: string
          in: query
          name: isActive
          required: false
          description: Filtra treinamentos ativos (true) ou inativos (false).
        - schema:
            type: string
            pattern: ^[cC][^\s-]{8,}$
          in: path
          name: agentId
          required: true
          description: ID do agente.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          pattern: ^[cC][^\s-]{8,}$
                        question:
                          type: string
                        answer:
                          type: string
                        isActive:
                          type: boolean
                        agentId:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - question
                        - answer
                        - isActive
                        - agentId
                        - createdAt
                        - updatedAt
                      additionalProperties: false
                  totalResults:
                    type: number
                  totalPages:
                    type: number
                  currentPage:
                    type: number
                  limit:
                    type: number
                required:
                  - data
                  - totalResults
                  - totalPages
                  - currentPage
                  - limit
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  code:
                    type: string
                  details:
                    anyOf:
                      - type: string
                      - type: number
                      - type: boolean
                      - type: object
                        properties: {}
                        additionalProperties: true
                    description: Detalhes adicionais do erro.
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````